ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Cmm.CallConv

Synopsis

- data ParamLocation
  - = RegisterParam GlobalReg
  - | StackParam ByteOff
- assignArgumentsPos :: Profile -> ByteOff -> Convention -> (a -> CmmType) -> [a] -> (ByteOff, [(a, ParamLocation)])
- assignStack :: Platform -> ByteOff -> (a -> CmmType) -> [a] -> (ByteOff, [(a, ParamLocation)])
- realArgRegsCover :: Platform -> [GlobalReg]
- allArgRegsCover :: Platform -> [GlobalReg]

# Documentation

data ParamLocation Source #

Constructors

RegisterParam GlobalReg |
StackParam ByteOff |

#### Instances

Instances details

Outputable ParamLocation Source # |
Instance details Defined in GHC.Cmm.CallConv Methods ppr :: ParamLocation -> SDoc Source #

assignArgumentsPos :: Profile -> ByteOff -> Convention -> (a -> CmmType) -> [a] -> (ByteOff, [(a, ParamLocation)]) Source #

Given a list of arguments, and a function that tells their types, return a list showing where each argument is passed

assignStack :: Platform -> ByteOff -> (a -> CmmType) -> [a] -> (ByteOff, [(a, ParamLocation)]) Source #

realArgRegsCover :: Platform -> [GlobalReg] Source #

allArgRegsCover :: Platform -> [GlobalReg] Source #